#include <bits/stdc++.h>

using namespace std;

long long t,i,j;
long long x,y,a,b;
bool f;

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin>>t;
    
    for(i=0;i<t;i++)
        {
            f=false;
            cin>>a>>b;
            for(j=1;j<=sqrt(a)&&!f;j+=2)
            {
                if(a%j==0)
                {
                    if(((j | (a/j)) & (~j | ~(a/j)))==b)
                        {
                            cout<<j<<" "<<a/j<<"\n";
                            f=true;
                        }
                }
            }
            if(!f)
                cout<<-1<<"\n";
        }
    
    
    return 0;
}